Page MenuHomePhabricator

Normalize the definition of "closed" revision statuses
ClosedPublic

Authored by epriestley on Nov 25 2013, 11:24 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Sep 30, 2:30 AM
Unknown Object (File)
Thu, Sep 15, 2:51 AM
Unknown Object (File)
Sep 6 2022, 5:24 PM
Unknown Object (File)
Aug 14 2022, 4:32 AM
Unknown Object (File)
Aug 2 2022, 1:13 PM
Unknown Object (File)
Jul 28 2022, 10:47 AM
Unknown Object (File)
Jul 20 2022, 8:20 AM
Unknown Object (File)
Jul 20 2022, 5:13 AM
Subscribers

Details

Summary

Currently, "Closed" and "Abandoned" are treated as "closed". I want to add a flag which treats "Accepted" as "Closed", too, for Asana and other companies who use an Asana-like workflow.

The background here is that their workflow is a bit weird. They basically do audits, but have a lot of things which Diffusion doesn't do well right now. This one change makes Differential fit their workflow fairly well, even though it's an audit workflow.

To prepare for this, normalize the definition of "closed" better. We have a few callsites which explicitly check for "ABANDONED || CLOSED", and normalizing this is cleaner anyway.

Also delete the very old COMMITTED status, which has been obsolete for over a year.

Test Plan

Browsed around most/all of the affected interfaces.

Diff Detail

Lint
Lint Skipped
Unit
Tests Skipped